Mailinglist Archive: opensuse-buildservice (199 mails)

< Previous Next >
Re: [opensuse-buildservice] Importing rubygem-json to my project
I added the repo devel:languages:ruby:extensions which contains the package
rubygem-json. I also added this package as a requirement to my spec-file,
but when I want to install the rpm now, I get the following message:

Problem: nothing provides rubygem-json needed by kubeplayer-1.0-20.1.noarch
Solution 1: do not install kubeplayer-1.0-20.1.noarch
Solution 2: break kubeplayer by ignoring some of its dependencies


Obviously I need to import/copy the package to my repo. I thought I did that
already by adding the extra repo.

Kind regards,
Robert


Am Mittwoch, 18. Mai 2011, 08:52:16 schrieb Sascha Peilicke:
On Tuesday 17 May 2011 19:14:08 Robert Riemann wrote:
Hi all,

my project (kubeplayer) needs th ruby json gem installed, which is
available as rubygem-json in a foreign home repo, but not in the
official repos of opensuse. How can I import this package to my repo
to fullfil its dependency?

Your project has enabled a certain amount of repositories (or
'distribution' targets) to build against, each points to a repository of
another OBS project (also called 'paths' in OBS lingo). [1] explains how
to add more, note that you can do that also in the webui.

Json belongs to the std libs from ruby 1.9.x on. I was really
suprised, that a modern distro like opensuse still delivers ruby
1.8.x!

Well, we do have 1.9.x, but it isn't as easy as you think. Packaging both
1.8 and 1.9 in parallel is a lot of work and there's a lot of gems out
there that depend on 1.8.

Footnotes:
[1]
http://en.opensuse.org/openSUSE:Build_Service_Tips_and_Tricks#Adding_multip
le_repositories_to_a_project

< Previous Next >
Follow Ups